Pular para o conteúdo principal
curl -X GET https://checkout.noxpay.io/v2/naas/split/{origin_e2e} \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <assinatura-dos-headers>"
import requests

# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/split/NOXabc123",
    headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/split/NOXabc123", {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "end2end":        "split-xyz789",
  "origin_e2e":     "NOXabc123",
  "component":      "component.success",
  "state":          "DONE",
  "split_amount":   "12.50",
  "currency":       "USDT_ETH",
  "correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
  "created_at":     "2026-05-19T14:00:00Z",
  "updated_at":     "2026-05-19T14:01:12Z"
}
{ "error": "Not Found" }

Parâmetros de caminho

ParâmetroDescrição
origin_e2eID end2end do checkout de origem

Response 200 OK

CampoTipoDescrição
end2endstringID do processo de split
origin_e2estringCheckout que originou este split
componentstringComponente atual no fluxo do split
statestringEstado atual
split_amountstringValor transferido ao merchant master
currencystringCódigo do ativo
correlation_idstringCorrelation ID do relacionamento com o sub-merchant
created_atstringTimestamp ISO 8601 de criação
updated_atstringTimestamp ISO 8601 da última atualização
Consulte Estados do Split para todas as combinações de component / state. 404 — split não encontrado ou não pertence a este correlation.
curl -X GET https://checkout.noxpay.io/v2/naas/split/{origin_e2e} \
  -H "api-key: <key>" \
  -H "X-Timestamp: 2026-05-27T14:30:00Z" \
  -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
  -H "X-Signature: <assinatura-dos-headers>"
import requests

# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
    "https://checkout.noxpay.io/v2/naas/split/NOXabc123",
    headers=headers,
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const response = await fetch("https://checkout.noxpay.io/v2/naas/split/NOXabc123", {
  method: "GET",
  headers,
});
const data = await response.json();
{
  "end2end":        "split-xyz789",
  "origin_e2e":     "NOXabc123",
  "component":      "component.success",
  "state":          "DONE",
  "split_amount":   "12.50",
  "currency":       "USDT_ETH",
  "correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
  "created_at":     "2026-05-19T14:00:00Z",
  "updated_at":     "2026-05-19T14:01:12Z"
}
{ "error": "Not Found" }